Subject: [PATCH 1/2] ARM: dts: omap3-overo: Add support for pwm-leds

From: [email-masked] (Peter Ujfalusi)
Date: Fri, 25 Jan 2013 09:29:08 +0100

On 01/24/2013 10:14 PM, Florian Vaussard wrote:
> You are right. But then the pwm core must provide a way to know if the pwm
> access function are callable
> from atomic context or not (the gpio framework provides gpio_cansleep()).
> This implies a good amount of changes to the pwm framework, and currently we
> are the only driver using non-atomic access.

We have two drivers at the moment: pwm-twl and pwm-twl-led. However new out of
SoC PWM drivers might come (for example for palmas). So it worth take a look
at some generic implementation.

-- 
P?ter